
package m05bPiezasRepaEJB;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

import m05bBD.m05bPiezasRepa;

/**
 * This class is the Bean Implementation for the Entity EJB <tt>M05PiezasRepaEB</tt>.
 *
 * @see     m05.exe.PiezasRepa
 * @see     m05.exe.M05PiezasRepaEB
 * @see     m05.exe.M05PiezasRepaEBPK
 * @see     m05.exe.M05PiezasRepaEBHome
 */
abstract public class m05PiezasRepaBean implements EntityBean {
  
  private EntityContext ctx;

 
  
  /**
   * Returns the Reparacion information of this E-EJB.
   */    
  public m05bPiezasRepa getPiezasRepa(){
    m05bPiezasRepa piezasrepa = new m05bPiezasRepa();
    
    piezasrepa.setPir_codigo(getPir_codigo());
    piezasrepa.setPir_descrip(getPir_descrip());
    piezasrepa.setPir_orden(getPir_orden());
    piezasrepa.setPir_pieza(getPir_pieza());
    piezasrepa.setPir_cantidad(getPir_cantidad());
    piezasrepa.setPir_descrip(getPir_descrip());
    piezasrepa.setPir_preciou(getPir_preciou());
    piezasrepa.setPir_total(getPir_total());
    return piezasrepa;	
  }    

  /**
   * Sets the Reparacion information of this E-EJB.
   * @exception P2GException 
   *              If the given Reparacion <tt>pir_codigo</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */   
  public void setPiezasRepa(m05bPiezasRepa piezasrepa)
    throws Exception{
   
    //the primary key is never modified!!
    if (!(getPir_codigo() == piezasrepa.getPir_codigo() && getPir_orden() == piezasrepa.getPir_orden() && getPir_pieza() == piezasrepa.getPir_pieza()))
      throw new CreateException ("Cannot modify a different reparacion");
      
    setPir_cantidad(piezasrepa.getPir_cantidad());
    setPir_descrip(piezasrepa.getPir_descrip());
    setPir_preciou(piezasrepa.getPir_preciou());
    setPir_total(piezasrepa.getPir_total());
  }   	

  abstract public String getPir_cantidad();
  abstract public void setPir_cantidad(String n);
  
  abstract public String getPir_codigo();
  abstract public void setPir_codigo(String n);
  
  abstract public String getPir_orden();
  abstract public void setPir_orden(String n);

  abstract public String getPir_pieza();
  abstract public void setPir_pieza(String n);
  
  abstract public String getPir_descrip();
  abstract public void setPir_descrip(String n);
  
  abstract public String getPir_preciou();
  abstract public void setPir_preciou(String n);
  
  abstract public String getPir_total();
  abstract public void setPir_total(String n);

  public void ejbActivate() {
  }

  public void ejbPassivate() {
  }

  public void setEntityContext(EntityContext ctx) {
    this.ctx = ctx;
  }

  public void unsetEntityContext() {
    this.ctx = null;
  }

  public void ejbLoad() {
  }
  
  public void ejbStore() {
  }

  public void ejbRemove()
    throws RemoveException
  {
  }

  /**
   * This function initializes the Reparacion 
   * information of this E-EJB.
   * It assigns a new primary key to the Reparacion.
   * @see #getNewOrderNum()
   */ 
  public m05PiezasRepaPK ejbCreate(m05bPiezasRepa piezasrepa) 
    throws CreateException
  {
    try {
      setPir_codigo(piezasrepa.getPir_codigo());
      setPir_orden(piezasrepa.getPir_orden());
      setPir_pieza(piezasrepa.getPir_pieza());
    } catch (Exception e) {
      throw new CreateException (e.getMessage());
    }    
    setPir_cantidad(piezasrepa.getPir_cantidad());
    setPir_descrip(piezasrepa.getPir_descrip());
    setPir_total(piezasrepa.getPir_total());
    setPir_preciou(piezasrepa.getPir_preciou());
    return null;      	
  }

  public void ejbPostCreate(m05bPiezasRepa piezasrepa) 
  {
  }

 
}